Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83526 - up2date error
Summary: up2date error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 7.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 09:42 UTC by Ole Skartveit
Modified: 2007-03-27 04:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-22 15:01:05 UTC


Attachments (Terms of Use)

Description Ole Skartveit 2003-02-05 09:42:42 UTC
Performed an "up2date" operation om my Compaq Proliant ML530/RedHat AS 2.1. 
The procedure was running smoothly until the end, when the following 
errormessage showed up:

# up2date
warning: /etc/httpd/conf/httpd.conf created 
as /etc/httpd/conf/httpd.conf.rpmnew
warning: /etc/ldap.conf created as /etc/ldap.conf.rpmnew
warning: /etc/php.ini created as /etc/php.ini.rpmnew
Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 842, in doInstallation
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2357, in 
installBootLoader
    __install_lilo(kernelList)
  File "/usr/share/rhn/up2date_client/up2date.py", line 2376, in __install_lilo
    ret = lilocfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date_client/lilocfg.py", line 272, in 
installNewImages    (default, tmptype, 
default_image,image_path,other,defaultIsOther) = findDefault(config,imagelist)
  File "/usr/share/rhn/up2date_client/lilocfg.py", line 213, in findDefault
    (imagetype, default_image,image_path,other) = config.getImage(default)
  File "/usr/share/rhn/up2date_client/lilo.py", line 140, in getImage
    raise IndexError, "unknown image %s" % (label)
IndexError: unknown image cpq-2.4.9-e.          # (previously, default=linux)

Comment 1 Adrian Likins 2003-02-05 17:00:21 UTC
would it be possible to get a copy of the lilo.conf file?

Comment 2 Ole Skartveit 2003-02-10 08:38:44 UTC
lilo.conf:

prompt
timeout=50
default=cpq-2.4.9-e.            # (previously, default=linux)
boot=/dev/cciss/c0d0p1
map=/boot/map
install=/boot/boot.b
message=/boot/message
linear

image=/boot/vmlinuz-2.4.9-e.3smp
        label=linux
        initrd=/boot/initrd-2.4.9-e.3smp.img
        read-only
        root=/dev/cciss/c0d0p5

image=/boot/vmlinuz-2.4.9-e.3
        label=linux-up
        initrd=/boot/initrd-2.4.9-e.3.img
        read-only
        root=/dev/cciss/c0d0p5

# The following entry was added by Compaq HBA install script
image=/boot/vmlinuz-2.4.9-e.3smp
label=cpq-2.4.9-e.
initrd=/boot/cpq-initrd-2.4.9-e.3smp.img
read-only
root=/dev/cciss/c0d0p5


Comment 3 Adrian Likins 2003-08-06 23:07:35 UTC
Hmm, thats a strange looking lilo.conf. Looks like
the parser doesnt find the stanza for the label=cpq-2.4.9-e.
bit. 

I'll take a look. 

Comment 4 John Thacker 2006-04-22 15:01:05 UTC
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.


Note You need to log in before you can comment on or make changes to this bug.